import isObject from './index';
test('returns true for objects', function () {
  expect(isObject({
    foo: 'bar'
  })).toBe(true);
  expect(isObject({})).toBe(true);
  expect(isObject(Object.create(null))).toBe(true);

  var Thing = function Thing() {};

  expect(isObject(new Thing())).toBe(true);
});
test('returns false for non-objects', function () {
  expect(isObject('hello')).toBe(false);
  expect(isObject(1)).toBe(false);
  expect(isObject(null)).toBe(false);
  expect(isObject(undefined)).toBe(false);
  expect(isObject([])).toBe(false);
});